@charset "utf-8";

/* reset css */
html {
  line-height: 1;
  color: #212529;
  touch-action: manipulation;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
ul,
ol,
dl,
li,
dt,
dd,
p,
div,
span,
img,
a,
table,
tr,
th,
td,
small,
button,
time,
figure {
  margin: 0;
  padding: 0;
  font-size: 100%;
  vertical-align: baseline;
  border: 0;
}

ol,
ul,
summary {
  list-style: none;
}

summary::-webkit-details-marker {
  display: none;
}

li,
dd {
  list-style-type: none;
}

header,
footer,
nav,
section,
article,
main,
aside,
figure,
figcaption {
  display: block;
}

img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
  border: none;
  object-fit: cover;
}

svg {
  overflow: visible;
}

button,
input,
optgroup,
select,
textarea {
  margin: 0;
  padding: 0;
  font: inherit;
  text-align: inherit;
  text-transform: inherit;
  vertical-align: middle;
  color: inherit;
  background: transparent;
  border-radius: 0;
  appearance: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  color: inherit;
  background: none;
  border: none;
  cursor: pointer;
}

button:disabled,
[type="button"]:disabled,
[type="reset"]:disabled,
[type="submit"]:disabled {
  cursor: default;
}

img,
a,
span {
  display: inline-block;
}

a {
  text-decoration: none;
  color: inherit;
}

picture {
  display: contents;
}

video,
svg {
  width: 100%;
  height: auto;
}

summary {
  cursor: pointer;
}

/* =========================
   Variables
========================= */
:root {
  --font-family-jp: "Zen Maru Gothic", "Hiragino Kaku Gothic ProN", "Hiragino Sans", "Yu Gothic", "Meiryo", sans-serif;
  --font-family-en: "Poppins", arial, sans-serif;
  --font-family-latin: "Poppins", arial, sans-serif;
  --color-main: #009140;
  --color-white: #fff;
  --text-brand: #009140;
  --text-secondary: #495057;
  --text-primary: #212529;
}

/* =========================
   共通コンポーネント
========================= */

.section__inner {
  position: relative;
  width: 100%;
  max-width: 600px;
  margin-inline: auto;
  padding-inline: 16px;

  @media (768px <= width) {
    width: 100%;
    max-width: min(calc(680px + 40px * 2), 100%);
    margin-inline: auto;
    padding-inline: 40px;
  }
}

.section-header {
  text-align: center;
}

.section-header__subtitle {
  margin-bottom: 11px;
  font-family: var(--font-family-latin);
  font-size: 12px;
  font-weight: 700;
  font-style: normal;
  line-height: 1.4;
  text-align: center;
  text-transform: uppercase;
  color: var(--text-brand);

  @media (768px <= width) {
    font-size: 14px;
  }
}

.section-header__title {
  font-family: var(--font-family-jp);
  font-size: 24px;
  font-weight: 700;
  font-style: normal;
  line-height: 1.4;
  text-align: center;
  color: var(--text-primary);

  @media (768px <= width) {
    font-size: 28px;
  }
}

.btn {
  display: grid;
  position: relative;
  width: 100%;
  max-width: 250px;
  margin-inline: auto;
  padding-block: 10px;
  padding-inline: 37px;
  font-family: var(--font-family-jp);
  font-size: 16px;
  font-weight: 700;
  font-style: normal;
  line-height: 1.2;
  color: var(--text-brand);
  background-color: var(--color-white);
  border: 2px solid currentcolor;
  border-radius: 100px;
  box-shadow: 0 6px 0 0 #004a28;
  place-items: center;

  /* transition: background-color 0.2s ease-in-out; */
  span {
    font-weight: 700;
  }
}

.btn:hover {
  color: var(--text-brand);
  background-color: #e6f4ed;
}

/* =========================
   News-detail Section
========================= */

.news-detail {
  position: relative;
  margin-block-start: 60px;
  padding-block: 40px 64px;
  background: #fff;

  @media (768px <= width) {
    margin-block-start: 128px;
    padding-bottom: 78px;
  }
}

/* header */
.news-detail__header {
  margin-bottom: 42px;

  @media (768px <= width) {
    margin-bottom: 39px;
  }
}

/* article */
.news-detail__item {
  width: 100%;
  height: auto;
  margin-bottom: 40px;
}

/* date */
.news-detail__date {
  display: block;
  margin-bottom: 8px;
  font-family: var(--font-family-jp);
  font-size: 14px;
  font-weight: 400;
  font-style: normal;
  line-height: 1.5;
  color: var(--text-brand);
}

/* title */
.news-detail__title {
  display: block;
  margin-bottom: 23px;
  font-family: var(--font-family-jp);
  font-size: 20px;
  font-weight: 700;
  font-style: normal;
  line-height: 1.5;
  color: var(--text-primary);

  @media (768px <= width) {
    font-size: 28px;
  }
}

/* image */
.news-detail__image-wrap {
  margin-bottom: 24px;
}

.news-detail__image {
  width: 100%;
  height: auto;
  aspect-ratio: 684 / 288;
  object-fit: cover;
}

/* text */
.news-detail__text {
  display: block;
  font-family: var(--font-family-jp);
  font-size: 16px;
  font-weight: 400;
  font-style: normal;
  line-height: 1.8;
  word-break: normal;
  color: var(--text-primary);
  overflow-wrap: anywhere;
  line-break: strict;
}

/* link */
.news-detail__link {
  display: inline-block;
  font-family: var(--font-family-jp);
  font-size: 16px;
  font-weight: 700;
  font-style: normal;
  line-height: 1.8;
  text-decoration-line: underline;
  text-decoration-style: solid;
  color: var(--text-primary);
  text-underline-position: from-font;

  /* transition: opacity 0.2s ease-in-out; */
}

.news-detail__link:hover {
  opacity: 0.8;
  color: inherit;
  text-decoration: underline;
}

/* button */
.news-detail__btn-wrap {
  text-align: center;
}

.news-detail__btn-arrow-wrap {
  position: absolute;
  top: calc(50% + 1px);
  left: 14px;
  translate: 0 -50%;
}

.news-detail__btn-arrow {
  display: block;
  width: 20px;
  height: auto;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}
